cc121 w/ cubase 4LE.....

I just picked up a cc121 used only to find out its not supported by Cubase 4LE, which im running.
What do i have to do to get this thing working like it was intended? Do i have to buy a newer version of cubase? or can i just upgrade to 4Ai???

What exactly is a cc121?

http://www.steinberg.net/en/support/downloads_hardware/downloads_cc121.html

According to this you need to use the older v1.6.0 “Tools for CC121” if you are running a 4.x version of Cubase.